%   This is a program using Balanced Model Reduction method to reduce
%   the evaluation model in Benchmark Problem 2
%
%   Edited by J. C. Wu
%   Aug. 1996
%
%  make a similarity transformation to balanced state
%
[Ab Bb Cb g TT]=balreal(A,B,Cz);
Eb=inv(TT)*E;
Db=Dz;
Fb=Fz;
%
%  construct the reduced-order system
%
elim=[13 14 15 16 17 18 19 20];
[Ar,Br,Czr,Dzr]=modred(Ab,Bb,Cb,Db,elim);
[Ar,Er,Czr,Fzr]=modred(Ab,Eb,Cb,Fb,elim);
Cyr=[ Czr(4,:);
      Czr(9:12,:);
      zeros(1,12)];
Dyr=[ Dzr(4,:);
      Dzr(9:12,:);
        0        ];
Fyr=[ Fzr(4,:);
      Fzr(9:12,:);
        1        ];
