% code to initialize the fuzzy rules
% --- Initialize Fuzzy Membership Functions
% --- Note that trapeze(Universe,slope,flatness,center);


vel2_U=(-3:0.01:3);
  vel2_NE=bell_2(vel2_U, 3.0, 30, -3.2);
  vel2_ZE=bell_2(vel2_U, 0.2, 3.0,  0.00);
  vel2_PO=bell_2(vel2_U, 3.0, 30, 3.2);

%  vel2_NE=bell_2(vel2_U, 3.0, 30, -3.05);
%  vel2_ZE=bell_2(vel2_U, 0.05, 3.0,  0.00);
%  vel2_PO=bell_2(vel2_U, 3.0, 30, 3.05);

%  vel2_NE=bell_2(vel2_U, 3.0, 30, -3.51075);
%  vel2_ZE=bell_2(vel2_U, 0.51075, 3.0,  0.00);
%  vel2_PO=bell_2(vel2_U, 3.0, 30, 3.51075);

%%%%% questo era quello rimasto
%%%%%%  vel2_NE=bell_2(vel2_U, 3.0, 30, -3.1075);
%%%%%%  vel2_ZE=bell_2(vel2_U, 0.1075, 3.0,  0.00);
%%%%%%  vel2_PO=bell_2(vel2_U, 3.0, 30, 3.1075); 

vel3_U=(-3:0.01:3);
  vel3_NE=bell_2(vel3_U, 3.0, 30, -3.2);
  vel3_ZE=bell_2(vel3_U, 0.2, 3.0,  0.00);
  vel3_PO=bell_2(vel3_U, 3.0, 30, 3.2);

force1_U=(-7.0:0.14:7.0);
force1_NL=bell_2(force1_U,2.5,3.0,-6.5);
force1_NE=bell_2(force1_U,1.5,3.0,-2.5);
force1_ZE=bell_2(force1_U,1.0,3.0, 0.0);
force1_PO=bell_2(force1_U,1.5,3.0, 2.5);
force1_PL=bell_2(force1_U,2.5,3.0, 6.5);

    D1=[vel2_NE;  vel2_ZE;   vel2_PO;   
        vel2_NE;  vel2_ZE;   vel2_PO;   
        vel2_NE;  vel2_ZE;   vel2_PO];

    V1=[vel3_NE;  vel3_NE;   vel3_NE;   
        vel3_ZE;  vel3_ZE;   vel3_ZE;   
        vel3_PO;  vel3_PO;   vel3_PO];

    B1=[force1_ZE; force1_NE; force1_NL; 
         force1_PO; force1_ZE; force1_NE; 
         force1_PL; force1_PO; force1_ZE];

% save rtvel.mat D1 V1 B1 vel2_U vel3_U force1_U
         global  D1 V1 B1 vel2_U vel3_U force1_U




%eaj -- new code added
maxvel2 = 6.24;
maxvel3 = 0.78;
global maxvel2 maxvel3
Ugain        = 1.0;
IsFirstOrder = 1;
%eaj -- end of new code
