%     file to run to set up the fuzzy rules
% --- Initialize Fuzzy Membership Functions
% --- Note that trapeze(Universe,slope,flatness,center);
%     2 velocity rules


vel2_U=(-7:0.02:7);
  vel2_NL=bell_2(vel2_U,2.5,3.0,-6.5);
  vel2_NE=bell_2(vel2_U,1.5,3.0,-2.5);
  vel2_ZE=bell_2(vel2_U,1.0,3.0, 0.0);
  vel2_PO=bell_2(vel2_U,1.5,3.0, 2.5);
  vel2_PL=bell_2(vel2_U,2.5,3.0, 6.5);
  

vel3_U=(-7:0.02:7);
  vel3_NL=bell_2(vel3_U,2.5,3.0,-6.5);
  vel3_NE=bell_2(vel3_U,1.5,3.0,-2.5); 
  vel3_ZE=bell_2(vel3_U,1.0,3.0, 0.0);
  vel3_PO=bell_2(vel3_U,1.5,3.0, 2.5);
  vel3_PL=bell_2(vel3_U,2.5,3.0, 6.5);

force1_U=(-7.0:0.14:7.0);
  force1_NL=bell_2(force1_U,2.5,3.0,-6.5);
  force1_NE=bell_2(force1_U,1.5,3.0,-2.5);
  force1_ZE=bell_2(force1_U,1.0,3.0, 0.0);
  force1_PO=bell_2(force1_U,1.5,3.0, 2.5);
  force1_PL=bell_2(force1_U,2.5,3.0, 6.5);

    D1=[vel2_NL; vel2_NE;  vel2_ZE;   vel2_PO;   vel2_PL;   
        vel2_NL; vel2_NE;  vel2_ZE;   vel2_PO;   vel2_PL;  
        vel2_NL; vel2_NE;  vel2_ZE;   vel2_PO;   vel2_PL;
        vel2_NL; vel2_NE;  vel2_ZE;   vel2_PO;   vel2_PL;   
        vel2_NL; vel2_NE;  vel2_ZE;   vel2_PO;   vel2_PL];

    V1=[vel3_NL;  vel3_NL;   vel3_NL;   vel3_NL;   vel3_NL;
        vel3_NE;  vel3_NE;   vel3_NE;   vel3_NE;   vel3_NE;   
        vel3_ZE;  vel3_ZE;   vel3_ZE;   vel3_ZE;   vel3_ZE;   
        vel3_PO;  vel3_PO;   vel3_PO;   vel3_PO;   vel3_PO;
        vel3_PL;  vel3_PL;   vel3_PL;   vel3_PL;   vel3_PL] ;

%---------------------------------
%       fuzzy logic rules
%---------------------------------
     B1=[force1_ZE; force1_NE; force1_NL; force1_NE; force1_NL; 
         force1_NE; force1_ZE; force1_NE; force1_NE; force1_NE;
         force1_PL; force1_PO; force1_ZE; force1_NE; force1_NL;
         force1_PO; force1_PO; force1_PO; force1_ZE; force1_PO;
         force1_PL; force1_PO; force1_PL; force1_PO; force1_ZE];    

global D1 V1 B1 vel2_U vel3_U force1_U




%eaj -- new code added
maxvel2 = 2.678;
maxvel3 = 0.334;
global maxvel2 maxvel3
Ugain        = 5.0;
IsFirstOrder = 0;
%eaj -- end of new code
